Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360772 - pods are named 'container groups' in the policy explorer right cell
Summary: pods are named 'container groups' in the policy explorer right cell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.1
Assignee: Beni Paskin-Cherniavsky
QA Contact: Dmitry Misharov
URL:
Whiteboard: container:ui:control
Depends On: 1359909
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 12:45 UTC by Chris Pelland
Modified: 2016-08-18 18:00 UTC (History)
10 users (show)

Fixed In Version: 5.6.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1359909
Environment:
Last Closed: 2016-08-18 18:00:11 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1634 normal SHIPPED_LIVE Important: CFME 5.6.1 security, bug fix, and enhancement update 2016-08-18 21:43:52 UTC

Comment 1 Federico Simoncelli 2016-08-08 08:47:41 UTC
Beni can you link the relevant PR here? Thanks.

Comment 2 Beni Paskin-Cherniavsky 2016-08-08 09:58:18 UTC
https://github.com/ManageIQ/manageiq/pull/9347
Ready from my side, needs review/merge.
(that's master.  darga has small conflict => have a ready backport branch: https://github.com/ManageIQ/manageiq/compare/darga...cben:darga-policy-ui_lookup)

Comment 3 Mooli Tayer 2016-08-08 10:42:33 UTC
Beni To make this as clear as possible[1] please,
1. submit a pr for darga (can be wip until master merges)
2. have that darga commit in one comment in this pr
"Submitted downstream: pr"
3. The upstream pr already contains 9347 but It is with a lot of other text. It will help to have there
"Submitted upstream: 
https://github.com/ManageIQ/manageiq/pull/9347"
That will make it clear we are handling bz 1359909 with pr 9347.
4. any other issues mentioned in 1359909 you want to track can have new git hub issue/bz.


[1] important especially when we want to merge things fast.

Comment 4 CFME Bot 2016-08-08 15:00:57 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/40d3263a82282c26854eac34791f2678265ce83a

commit 40d3263a82282c26854eac34791f2678265ce83a
Author:     Beni Cherniavsky-Paskin <cben@redhat.com>
AuthorDate: Mon Aug 8 16:19:15 2016 +0300
Commit:     Beni Cherniavsky-Paskin <cben@redhat.com>
CommitDate: Mon Aug 8 16:19:15 2016 +0300

    Fix multiple ui_lookup(:model => nonCamelized)
    
    Hopefully fixed all occurrences in MiqPolicyController.
    Enables some non-working translations, affects even English terminology
    ("Container Image -> Image" etc).
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1359909
    https://bugzilla.redhat.com/show_bug.cgi?id=1360772

 app/controllers/miq_policy_controller.rb | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

Comment 6 Dmitry Misharov 2016-08-12 06:24:23 UTC
Fixed and verified in 5.6.1.2.20160810181333_8ba817b. The right part of the policy explorer has the correct name.

Comment 8 errata-xmlrpc 2016-08-18 18:00:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html


Note You need to log in before you can comment on or make changes to this bug.